salesforce.cdp.hyperdb.v1

## Enum ExecuteQueryResponse.ResultCase

- java.lang.Object
- - java.lang.Enum<ExecuteQueryResponse.ResultCase>
  - - salesforce.cdp.hyperdb.v1.ExecuteQueryResponse.ResultCase

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, Serializable, Comparable<ExecuteQueryResponse.ResultCase>

Enclosing class:
  ExecuteQueryResponse

    public static enum ExecuteQueryResponse.ResultCase
    extends Enum<ExecuteQueryResponse.ResultCase>
    implements com.google.protobuf.Internal.EnumLite

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BINARY_PART`
`HEADER`
`QUERY_INFO`
`QUERY_RESULT`
`RESULT_NOT_SET`
`STRING_PART`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ExecuteQueryResponse.ResultCase` `forNumber(int value)`
`int` `getNumber()`
`static ExecuteQueryResponse.ResultCase` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static ExecuteQueryResponse.ResultCase` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExecuteQueryResponse.ResultCase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HEADER

    public static final ExecuteQueryResponse.ResultCase HEADER

#### BINARY_PART

    public static final ExecuteQueryResponse.ResultCase BINARY_PART

#### STRING_PART

    public static final ExecuteQueryResponse.ResultCase STRING_PART

#### QUERY_INFO

    public static final ExecuteQueryResponse.ResultCase QUERY_INFO

#### QUERY_RESULT

    public static final ExecuteQueryResponse.ResultCase QUERY_RESULT

#### RESULT_NOT_SET

    public static final ExecuteQueryResponse.ResultCase RESULT_NOT_SET

### Method Detail

#### values

    public static ExecuteQueryResponse.ResultCase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ExecuteQueryResponse.ResultCase c : ExecuteQueryResponse.ResultCase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ExecuteQueryResponse.ResultCase valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    @Deprecated
    public static ExecuteQueryResponse.ResultCase valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The number of the enum to look for.
Returns:
  The enum associated with the given number.

#### forNumber

    public static ExecuteQueryResponse.ResultCase forNumber(int value)

#### getNumber

    public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`